---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Fetch a paginated page of Supabase-backed v1… Reference for the GET
    /v1/projects/{projectId}/datasets/{datasetIdentifier}/page endpoint in the
    Judgeval API.
sidebar:
  label: Fetch dataset page
  badge: GET
title: Fetch dataset page
type: openapi-operation
---
Fetch a paginated page of Supabase-backed v1 offline-test dataset examples.

`GET /v1/projects/{projectId}/datasets/{datasetIdentifier}/page`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404

Response example, 200:

```json
{
  "dataset": {
    "dataset_id": "string",
    "organization_id": "string",
    "project_id": "string",
    "name": "string",
    "schema": {},
    "current_version": 0,
    "created_at": "string",
    "updated_at": "string",
    "creator_id": "string",
    "entries": 0,
    "test_config_count": 0
  },
  "entries": [
    {
      "item": {
        "id": "string",
        "organization_id": "string",
        "project_id": "string",
        "dataset_id": "string",
        "version_added": 0,
        "example_id": "string",
        "created_at": "string",
        "user_id": "string"
      },
      "example": {
        "example_id": "string",
        "organization_id": "string",
        "project_id": "string",
        "data": {},
        "metadata": {},
        "managed_metadata": {},
        "created_at": "string",
        "user_id": "string"
      }
    }
  ],
  "metadata": {
    "hasMore": true,
    "nextCursor": {
      "created_at": "string",
      "example_id": "string"
    }
  }
}
```
